-- phpMyAdmin SQL Dump
-- version 4.1.14
-- http://www.phpmyadmin.net
--
-- Client :  127.0.0.1
-- Généré le :  Mer 10 Décembre 2014 à 14:30
-- Version du serveur :  5.6.17
-- Version de PHP :  5.5.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données :  `bd_location`
--

-- --------------------------------------------------------

--
-- Structure de la table `agence`
--

CREATE TABLE IF NOT EXISTS `agence` (
  `codeAgence` varchar(10) NOT NULL,
  `nom` varchar(100) NOT NULL,
  `cp` int(11) NOT NULL,
  PRIMARY KEY (`codeAgence`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `agence`
--

INSERT INTO `agence` (`codeAgence`, `nom`, `cp`) VALUES
('AG01', 'LES BASSES', 98100),
('AG02', 'LES POINTES', 98110),
('AG03', 'LES FONDS', 98142);

-- --------------------------------------------------------

--
-- Structure de la table `client`
--

CREATE TABLE IF NOT EXISTS `client` (
  `numClient` varchar(10) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `prenom` varchar(50) NOT NULL,
  `adresse` varchar(300) NOT NULL,
  `cp` int(11) NOT NULL,
  PRIMARY KEY (`numClient`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `client`
--

INSERT INTO `client` (`numClient`, `nom`, `prenom`, `adresse`, `cp`) VALUES
('B2110', 'CARA', 'DORIS', '9 RUE DU LOUP', 98100),
('B2222', 'JERK', 'CLARK', '4 RUE SWING', 98100),
('B2266', 'DISCO', 'BOB', '5 AVENUE SWING', 98100),
('B2277', 'FUN', 'KATE', '6 RUE DU LOUP', 98100),
('B9801', 'ABBA', 'LINE', '12 AVENUE LOOSER', 98100),
('B9810', 'COLLA', 'ROBERT', '7 CITE DU PARC', 98100),
('B9990', 'BIGUINE', 'SUE', '12 AVENUE LOOSER', 98100),
('F2010', 'BARBIE', 'TANIA', '9 CITE POUPEES', 98142),
('F2140', 'SAPHIR', 'CELIA', '21 BOULEVARD MARITIME', 98142),
('F2255', 'JAZZ', 'MIRNA', '8 AVENUE BRONX', 98142),
('F2310', 'COUP', 'JEAN', '41 RUE VALLON', 98142),
('F2330', 'NOSTRA', 'DANY', '8 AVENUE BRONX', 98142),
('F9940', 'SAPHIR', 'PATRICE', '9 CITE POUPEES', 98142),
('G2020', 'CELI', 'PAT', '11 BOULEVARD DUCHESSE', 98150),
('G2150', 'ARGENT', 'THIERRY', '2 RUE SAGACE', 98150),
('G2320', 'SAVOL', 'PAUL', '7 RUE SAGACE', 98150),
('G2350', 'HEAR', 'MILENE', '11 BOULEVARD DUCHESSE', 98150),
('G9850', 'BOL', 'FANNY', '12 RUE FREEDOM', 98150),
('L2001', 'CASIMIR', 'BOB', '6 RUE SALVATOR', 98139),
('L2130', 'EMER', 'AUDE', '8 CITE PROFONDE', 98139),
('L2244', 'BLUES', 'BASIL', '4 RUE SHANNON', 98139),
('L2340', 'TOBEL', 'CHRIS', '4 RUE SHANNON', 98139),
('M2030', 'MELLI', 'NORA', '5 CITE DU LAC', 98160),
('M2040', 'VAVAL', 'CHANTAL', '8 SAVANE BOUQUET', 98160),
('M2211', 'BUMP', 'ASHLEY', '9 ALLEE DES PUITS', 98160),
('M2288', 'SALSA', 'LOLA', '8 SAVANE BOUQUET', 98160),
('M2301', 'BIGUINE', 'SUE', '5 CITE DU LAC', 98160),
('P2120', 'DIAM', 'NADIA', '22 RUE DU CANAL', 98110),
('P2233', 'RITHM', 'BILLY', '11 RUE CLASSIQUE', 98110),
('P9830', 'ADIBOU', 'LUC', '6 AVENUE DES MANGUIERS', 98110),
('P9880', 'MUSIC', 'CLARK', '6 AVENUE DES MANGUIERS', 98110),
('P9904', 'CAPUC', 'ALBERT', '9 RUE VANTOU', 98110);

-- --------------------------------------------------------

--
-- Structure de la table `contrat`
--

CREATE TABLE IF NOT EXISTS `contrat` (
  `codeContrat` int(11) NOT NULL,
  `date` date NOT NULL,
  `duree` int(11) NOT NULL,
  `numClient` varchar(10) NOT NULL,
  `codeAgence` varchar(10) NOT NULL,
  PRIMARY KEY (`codeContrat`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `contrat`
--

INSERT INTO `contrat` (`codeContrat`, `date`, `duree`, `numClient`, `codeAgence`) VALUES
(20021010, '2004-01-15', 2, 'L2001', 'AG01'),
(20021020, '2004-01-25', 4, 'M2030', 'AG01'),
(20021030, '2004-01-30', 1, 'P2120', 'AG01'),
(20021040, '2004-02-03', 4, 'P2233', 'AG01'),
(20021050, '2004-02-10', 2, 'B2277', 'AG01'),
(20021060, '2004-02-15', 1, 'G2320', 'AG01'),
(20022010, '2004-01-16', 1, 'F2010', 'AG02'),
(20022020, '2004-01-18', 2, 'F2010', 'AG02'),
(20022030, '2004-01-26', 3, 'F2140', 'AG02'),
(20022040, '2004-02-05', 1, 'F2255', 'AG02'),
(20022050, '2004-02-10', 1, 'M2288', 'AG02'),
(20022060, '2004-02-16', 2, 'L2340', 'AG02'),
(20022070, '2004-02-18', 1, 'G2350', 'AG02'),
(20023010, '2004-01-11', 3, 'G2020', 'AG03'),
(20023020, '2004-01-21', 1, 'B2110', 'AG03'),
(20023030, '2004-01-22', 2, 'B2222', 'AG03'),
(20023040, '2004-02-04', 1, 'B2266', 'AG03'),
(20023050, '2004-02-11', 1, 'F2310', 'AG03'),
(20023070, '2004-02-18', 1, 'B9810', 'AG03'),
(20041010, '2004-02-11', 2, 'B2277', 'AG01'),
(20042020, '2004-02-12', 1, 'B9810', 'AG02'),
(20043030, '2004-02-13', 2, 'B2110', 'AG03'),
(20043040, '2004-02-13', 2, 'F2010', 'AG01'),
(20043050, '2004-02-15', 1, 'B2222', 'AG03'),
(20043060, '2004-02-16', 3, 'F2010', 'AG01'),
(20043070, '2004-02-15', 1, 'B2110', 'AG03'),
(20043090, '2004-02-17', 3, 'B2266', 'AG03'),
(20043110, '2004-02-16', 2, 'L2244', 'AG02'),
(20043120, '2004-02-17', 2, 'F2310', 'AG01'),
(20043130, '2004-02-18', 1, 'F9940', 'AG02'),
(20043140, '2004-02-17', 3, 'F2330', 'AG03'),
(20043150, '2004-02-18', 2, 'F2255', 'AG01'),
(20043160, '2004-02-16', 3, 'B9810', 'AG03'),
(20043170, '2004-02-15', 2, 'B2266', 'AG01'),
(20043180, '2004-02-18', 2, 'B2266', 'AG02'),
(20043190, '2004-02-15', 1, 'B2110', 'AG01'),
(20043200, '2004-02-17', 2, 'B2266', 'AG02'),
(20043210, '2004-02-27', 2, 'B9801', 'AG01'),
(20043220, '2004-02-28', 1, 'B2222', 'AG02'),
(20043230, '2004-02-28', 2, 'B9801', 'AG03'),
(20043240, '2004-03-01', 3, 'F2010', 'AG01');

-- --------------------------------------------------------

--
-- Structure de la table `detail_contrat`
--

CREATE TABLE IF NOT EXISTS `detail_contrat` (
  `codeContrat` int(11) NOT NULL,
  `refMateriel` varchar(10) NOT NULL,
  `qteLoue` int(11) NOT NULL,
  PRIMARY KEY (`codeContrat`,`refMateriel`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `detail_contrat`
--

INSERT INTO `detail_contrat` (`codeContrat`, `refMateriel`, `qteLoue`) VALUES
(20021010, 'XH02', 2),
(20021010, 'XH03', 1),
(20021020, 'XH03', 1),
(20021030, 'XH02', 2),
(20021030, 'XM02', 1),
(20021040, 'XM02', 1),
(20021040, 'XT02', 1),
(20021050, 'XM04', 1),
(20021050, 'XT04', 2),
(20021060, 'XH04', 1),
(20021060, 'XL03', 1),
(20022010, 'XT04', 1),
(20022020, 'XT02', 1),
(20022030, 'XH01', 1),
(20022030, 'XM01', 1),
(20022030, 'XT01', 1),
(20022040, 'XH02', 1),
(20022040, 'XH03', 2),
(20022050, 'XH02', 1),
(20022050, 'XL02', 2),
(20022050, 'XM03', 1),
(20022050, 'XT03', 1),
(20022060, 'XL04', 1),
(20022060, 'XT01', 1),
(20022070, 'XA01', 1),
(20022070, 'XM01', 1),
(20023010, 'XA01', 1),
(20023010, 'XH01', 1),
(20023020, 'XA04', 1),
(20023020, 'XH04', 1),
(20023030, 'XM03', 1),
(20023030, 'XT03', 2),
(20023040, 'XM04', 1),
(20023050, 'XH03', 2),
(20023070, 'XT03', 1),
(20041010, 'XM02', 1),
(20041010, 'XT02', 1),
(20042020, 'XT02', 1),
(20043030, 'XH04', 1),
(20043030, 'XM04', 1),
(20043030, 'XT04', 1),
(20043040, 'XA02', 1),
(20043050, 'XA02', 1),
(20043060, 'XL03', 1),
(20043070, 'XT02', 2),
(20043070, 'XT04', 1),
(20043090, 'XH01', 1),
(20043110, 'XH02', 1),
(20043110, 'XM01', 2),
(20043110, 'XT01', 1),
(20043120, 'XH03', 1),
(20043130, 'XH02', 1),
(20043140, 'XL02', 1),
(20043140, 'XM03', 1),
(20043150, 'XL01', 1),
(20043160, 'XT03', 1),
(20043170, 'XA04', 2),
(20043180, 'XM01', 1),
(20043180, 'XT03', 1),
(20043190, 'XA02', 1),
(20043200, 'XA03', 1),
(20043200, 'XH04', 2),
(20043210, 'XL04', 1),
(20043220, 'XT01', 1),
(20043230, 'XA01', 1),
(20043230, 'XL03', 2),
(20043230, 'XM01', 1),
(20043240, 'XT02', 2);

-- --------------------------------------------------------

--
-- Structure de la table `materiel`
--

CREATE TABLE IF NOT EXISTS `materiel` (
  `refMateriel` varchar(10) NOT NULL,
  `description` varchar(100) NOT NULL,
  `prixLocation` double NOT NULL,
  PRIMARY KEY (`refMateriel`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `materiel`
--

INSERT INTO `materiel` (`refMateriel`, `description`, `prixLocation`) VALUES
('XA01', 'AMPLI 300', 35),
('XA02', 'AMPLI 1000', 50),
('XA03', 'AMPLI 1000', 65),
('XA04', 'AMPLI 1990', 70),
('XH01', 'HAUT-PARLEUR BO75', 10),
('XH02', 'HAUT-PARLEUR BO91000', 15),
('XH03', 'HAUT-PARLEUR BO91000', 25),
('XH04', 'HAUT-PARLEUR BO91990', 35),
('XL01', 'LECTEUR LASER  JV302', 40),
('XL02', 'LECTEUR LASER  JV500', 50),
('XL03', 'LECTEUR LASER  JV500', 60),
('XL04', 'LECTEUR LASER  JV599', 75),
('XM01', 'MAGNETOSCOPE MS600', 50),
('XM02', 'MAGNETOSCOPE JV71000', 65),
('XM03', 'MAGNETOSCOPE JV71000', 80),
('XM04', 'MAGNETOSCOPE JV71990', 95),
('XT01', 'TELEVISEUR SN80', 25),
('XT02', 'TELEVISEUR SN9599', 35),
('XT03', 'TELEVISEUR SN9599', 50),
('XT04', 'TELEVISEUR SN9599', 60);

-- --------------------------------------------------------

--
-- Structure de la table `stock`
--

CREATE TABLE IF NOT EXISTS `stock` (
  `codeAgence` varchar(10) NOT NULL,
  `refMateriel` varchar(10) NOT NULL,
  `qtStock` int(11) NOT NULL,
  PRIMARY KEY (`codeAgence`,`refMateriel`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `stock`
--

INSERT INTO `stock` (`codeAgence`, `refMateriel`, `qtStock`) VALUES
('AG01', 'XA01', 48),
('AG01', 'XA02', 1),
('AG01', 'XA03', 34),
('AG01', 'XA04', 30),
('AG01', 'XH01', 18),
('AG01', 'XH02', 25),
('AG01', 'XH03', 6),
('AG01', 'XH04', 44),
('AG01', 'XM01', 42),
('AG01', 'XM02', 46),
('AG01', 'XM03', 31),
('AG01', 'XM04', 20),
('AG01', 'XT01', 15),
('AG01', 'XT02', 34),
('AG01', 'XT03', 17),
('AG01', 'XT04', 8),
('AG02', 'XA01', 11),
('AG02', 'XA02', 12),
('AG02', 'XA03', 7),
('AG02', 'XA04', 29),
('AG02', 'XH01', 3),
('AG02', 'XH02', 11),
('AG02', 'XH03', 17),
('AG02', 'XH04', 39),
('AG02', 'XL01', 15),
('AG02', 'XL02', 38),
('AG02', 'XL03', 28),
('AG02', 'XL04', 58),
('AG02', 'XM01', 29),
('AG02', 'XM02', 44),
('AG02', 'XM03', 49),
('AG02', 'XM04', 21),
('AG02', 'XT01', 39),
('AG02', 'XT02', 14),
('AG02', 'XT03', 27),
('AG02', 'XT04', 4),
('AG03', 'XA01', 21),
('AG03', 'XA02', 47),
('AG03', 'XA03', 2),
('AG03', 'XA04', 29),
('AG03', 'XH01', 25),
('AG03', 'XH02', 19),
('AG03', 'XH03', 42),
('AG03', 'XH04', 2),
('AG03', 'XL01', 49),
('AG03', 'XL02', 54),
('AG03', 'XL03', 6),
('AG03', 'XL04', 45),
('AG03', 'XM01', 11),
('AG03', 'XM02', 40),
('AG03', 'XM03', 47),
('AG03', 'XM04', 24),
('AG03', 'XT01', 9),
('AG03', 'XT02', 42),
('AG03', 'XT03', 47),
('AG03', 'XT04', 11);

-- --------------------------------------------------------

--
-- Structure de la table `ville`
--

CREATE TABLE IF NOT EXISTS `ville` (
  `cp` int(11) NOT NULL,
  `ville` varchar(50) NOT NULL,
  PRIMARY KEY (`cp`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `ville`
--

INSERT INTO `ville` (`cp`, `ville`) VALUES
(98100, 'BASSE-MER'),
(98110, 'POINTE-PETER'),
(98139, 'LES LOINTAINS'),
(98142, 'LES FONDATIONS'),
(98150, 'LE GOSSARD'),
(98160, 'LE MOLLETON');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
